{% extends 'dashboard/_private.layout.html.twig' %}

{% block title %}Tableau de bord{% endblock %}

{% block content %}
  {% cspstyle %}
    <style>
      .metric_card {
        background-color: var(--aei-backgound-white);
        color: rgb(22, 22, 22);
        height: 100%;
        text-align: center;
        cursor: pointer;
        transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1);
        border-radius: 0;
        border-width: 1px 1px 1px;
        border-style: solid solid solid;
        border-color: var(--aei-border-card-color);
        border-image: initial;
        overflow: hidden;
        border-bottom: 3px solid var(--text-title-blue-france);
      }

      .metric_card--red {
        border-bottom-color: var(--text-title-red-marianne);
      }

      .metrics-container {
        display: flex;
        flex-wrap: wrap; /* Permet le retour à la ligne */
        gap: 20px; /* Gouttière de 20px entre les éléments */
        padding: 20px 0;
      }

      .metric {
        flex: 1 1 200px;
      }

      @media (max-width: 575px) {
        .metric {
          width: auto;
        }
      }

      @media (min-width: 576px) {
        .metric {
          flex-basis: 33.3333%;
          -webkit-box-flex: 0;
          flex-grow: 0;
          max-width: 33.3333%;
        }
      }

      @media (min-width: 768px) {
        .metric {
          flex-basis: 25%;
          -webkit-box-flex: 0;
          flex-grow: 0;
          max-width: 25%;
        }
      }

      @media (min-width: 992px) {
        .metric {
          flex-basis: 16.6667%;
          -webkit-box-flex: 0;
          flex-grow: 0;
          max-width: 16.6667%;
        }
      }

      @media (min-width: 48em) {
        .metric-value {
          font-size: 2.5rem;
          line-height: 3rem;
        }
      }

      .metric-value {
        margin: 0;
        font-weight: 700;
        font-size: 2rem;
        line-height: 2.5rem;
        color: var(--text-title-grey);
        font-family: Marianne, arial, sans-serif;
        background-image: unset;
      }

      .metric-name {
        font-family: Marianne, arial, sans-serif;
        font-weight: 400;
        font-size: 1rem;
        line-height: 1.75;
        background-image: unset;
        margin: 0;
        color: var(--text-title-grey);
      }

      .metric-inner:last-child {
        padding-bottom: 24px;
      }

      .metric-inner {
        padding: 16px;
      }

      .metric-divider hr {
        margin: 0;
        flex-shrink: 0;
        border-width: 0 thin 0 0;
        border-style: solid;
        border-color: rgb(221, 221, 221);
        height: 100%;
        padding: 0;
      }

      .metric-divider {
        width: 1px;
        overflow: hidden;
        background-color: rgb(221, 221, 221);
      }

      @media (max-width: 992px) {
        .metric-divider {
          display: none;
        }
      }

      .dashboard-title-container {
        display: flex;
        justify-content: space-between;
      }

      .dashboard-interventions-requests {
        padding: 3rem 6rem;
        background-color: var(--aei-background-white);
        border: 1px solid var(--aei-border-card-color);
        display: flex;
        flex-direction: column;
        text-align: center;
        align-items: center;
        justify-content: center;
      }

    </style>
  {% endcspstyle %}

  <div class="dashboard__container">

    {% for type, flashes in app.flashes() %}
      {% for flash in flashes %}
        <div class="fr-alert fr-alert--{{ type }}">
          <p>{{ flash }}</p>
        </div>
        <br />
      {% endfor %}
    {% endfor %}

    {% if is_granted('ROLE_ADMIN') or is_granted('ROLE_ADMIN_EMPLOYER') or is_granted('ROLE_DIRECTOR') %}
      <div class="aei-alert">
            <span class="aei-alert-icon">
                <span class="fr-icon-thumb-up-fill" aria-hidden="true"></span>
            </span>

        <div class="aei-alert-message">Besoin d'aide ?</div>
        <div class="aei-alert-action">
          <a rel="noopener" target="_blank"
             href="https://incubateurdesterritoires.notion.site/Centre-d-aide-fb7d1fd2b9f94eb8be41bca922388207?pvs=74">
            Accéder au centre d'aide en cliquant ici
          </a>
        </div>
      </div>
    {% endif %}

    <div class="dashboard-title-container">
      <h2>Récapitulatif de vos interventions</h2>
      <div {{ stimulus_controller('intervention-create') }}>
      </div>
    </div>

    <div class="metrics-container">
      <a
        href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer, status: ['to-do'], 'not-assignated': '1' }) }}"
        class="metric">
        <div class="metric_card">
          <div class="metric-inner">
            <div class="metric-value">{{ metrics.status_not_assigned }}</div>
            <div class="metric-name">À assigner
            </div>
          </div>
        </div>
      </a>
      <div class="metric-divider">
        <hr />
      </div>
      <a
        href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer, priorities: ['urgent'], status: ['to-do', 'blocked', 'in-progress'], 'not-assignated': '1' }) }}"
        class="metric">
        <div class="metric_card metric_card--red">
          <div class="metric-inner">
            <div class="metric-value">{{ metrics.urgent }}</div>
            <div class="metric-name">Urgentes
            </div>
          </div>
        </div>
      </a>
      <a
        href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer, status: ['to-do']  }) }}"
        class="metric">
        <div class="metric_card">
          <div class="metric-inner">
            <div class="metric-value">{{ metrics.status_todo }}</div>
            <div class="metric-name">À faire</div>
          </div>
        </div>
      </a>
      <div class="metric-divider">
        <hr />
      </div>
      <a
        href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer, status: ['in-progress']  }) }}"
        class="metric">
        <div class="metric_card">
          <div class="metric-inner">
            <div class="metric-value">{{ metrics.status_in_progress }}</div>
            <div class="metric-name">En cours
            </div>
          </div>
        </div>
      </a>
      <a
        href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer, status: ['blocked']  }) }}"
        class="metric">
        <div class="metric_card">
          <div class="metric-inner">
            <div class="metric-value">{{ metrics.status_blocked }}</div>
            <div class="metric-name">En attente
            </div>
          </div>
        </div>
      </a>
    </div>

    <div>
      <div class="fr-tabs__tab fr-m-0" aria-selected="true">
        Demandes d'interventions
      </div>

      {% if interventions is defined and interventions is not empty %}
        <div {{ stimulus_controller('intervention-list', {
          agents: agents|serialize('json', { groups: ['user:view']}),
          interventions: interventions|serialize('json', { groups: ['intervention:view', 'intervention:get-collection']}),
          order: order,
          sortBy: sortBy,
        }) }}>

        </div>

      {% else %}
        <div class="dashboard-interventions-requests fr-mt-2w">
          <img src="{{ asset('img/dashboard-check-empty-list.svg') }}" alt="liste vide" />
          <p class="fr-pt-2w">
            <b>Aucune demande d’intervention en attente</b>
          </p>

          <p>
            Pour retrouver la liste de l’ensemble des interventions,
            <br />
            <a href="{{ path('app_dashboard_interventions', { employer: app.current_route_parameters.employer }) }}">rendez-vous
              ici</a>.
          </p>
        </div>
      {% endif %}
    </div>

  </div>
{% endblock %}
